cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
smoe
Visitor
Visitor
36,198 Views
Registered: ‎12-26-2015

Works! Installing ISE 14.7 on Mac OS X

Jump to solution

There is no official ISE for the Mac, at least nothing like such mentioned on the web site and these forums indicate so in an earlier thread https://forums.xilinx.com/t5/Installation-and-Licensing/Install-ISE-on-a-Mac/td-p/89590. But there is an Open Source effort (WINE https://www.winehq.org/) plus company (CodeWeavers with product CrossOver https://www.codeweavers.com) that maintains a reimplemented Windows (API and) ABI. At least the basic bits of the ISE 14.7 that I yet had the opportunity to test do just work flawlessly. Please find a few screenshots attached. The screenshot of the MacOS X launcher is my favorite - the other screenshots look just like the Windows bits, so there was not much information to spread.

 

It would be nice to see some more experienced folks with more than the WebKit license to evaluate this more. The immediate personal benefit for me is that I can more easily continue hacking/learning while traveling since I now have everything on my notebook. And should it happen that some power users find a corner of ISE that lacks some degree of functionality, then I am dead confident that an overseeable amount of money finding its way from Xilinx to CodeWeavers would get that fixed.

 

Cheers,


Steffen

Xilinx_Crossover_Launcher.jpg
Xilinx_Crossover_Project.jpg
1 Solution

Accepted Solutions
rajeshtu
Xilinx Employee
Xilinx Employee
51,080 Views
Registered: ‎05-20-2015

Hi @smoe,

Thanks for sharing the information. It will help prospective users using MAC OS for ISE 14.7.

 

Regards,

Rajesh

 

 

View solution in original post

5 Replies
rajeshtu
Xilinx Employee
Xilinx Employee
51,081 Views
Registered: ‎05-20-2015

Hi @smoe,

Thanks for sharing the information. It will help prospective users using MAC OS for ISE 14.7.

 

Regards,

Rajesh

 

 

View solution in original post

syedz
Moderator
Moderator
35,930 Views
Registered: ‎01-16-2013

@smoe,

 

Good to know you have successfully installed ISE in MAC. However It is not recommended to use an unsupported OS it as it may give undesirable/unexpected results.

The below is the AR which list all the supported OS with every ISE design tools.

http://www.xilinx.com/support/answers/18419.html

 

--Syed

---------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.
Give Kudos to a post which you think is helpful and reply oriented.

Did you check our new quick reference timing closure guide (UG1292)?
---------------------------------------------------------------------------------------------
0 Kudos
smoe
Visitor
Visitor
35,912 Views
Registered: ‎12-26-2015

Dear Syed,

 

As a spontaneous official reply from Xilinx there cannot be much else than "please don't!" so you are not possibly held liable for any unexpected technical consequence at the consumer level. And for anything that goes into any form of production, your customers should just go and spend that little money to get their little Windows 7 or SuSE Linux machine that your ISE design tools officially require. But then there are all those developer machines that may not be the machine on which the binary is compiled. And there are all those Spartan-6 owners like me who cannot use Vivado. This affects long term industrial support of your customers and also all those who want to buy some cheap entry on eBay into FPGA development.

 

Whom do I tell, the situation these days is that Microsoft eagerly shifts everyone to Windows 10 and that Spartan-6 support person also wants a new computer, eventually. And the ISE design tools are no longer maintained, officially stating that there will be no more updates. It will hence become increasingly difficult to find (and locally integrate) these increasingly ancient official platforms. A virtual machine is not ultimate fun to work with. Now, Wine/CrossOver does its best to behave exactly like the original Windows 7, and they are doing it so nicely that all the more prominent applications fall for it. This includes many graphics card sensitive modern games - so I am positive that whatever problem there is, they can solve it. Wine/CrossOver is not a different OS as such, it is just executed on a different one: Whatever you have once working with Wine/CrossOver, you have working for all the MacOS / Linux distributions to come. Your strategic interest may be less in the Mac as an execution-OS but in offering Wine/CrossOver on later-than-Win7 versions of Windows. That is not existing yet (Reactos.org is something different) but I am confident this will come, eventually. This way, you can easily fade-out your support for ISE by outsourcing the "keep-it-fresh" to an external Open Source company (i.e. CodeWeavers, you'd be doing something good for the world even if in the end you happen to decide against officially supporting an increased Mac-compatibility) without giving away any insights in your IP since all they'd see are your applications' binaries. Please kindly consider to internally forward this thought cookie to the right person to contact CodeWeavers and ask.

 

I also tested Vivado, but this needs to wait for the 64bit Win ABI to arrive for the Mac. I have a couple of days of that Mac OS CrossOver trial license left - my main installation remains on a Debian virtual machine for now, also unsupported, am tempted to buy a CrossOver license, though :)  However, if there is something tricky you want me to report about on the Mac then please feed me.

 

Many thanks and regards,

 

Steffen

 

 

0 Kudos
Anonymous
Not applicable
25,897 Views

Hi, 

I am running 14.7 ISE in my Mac Air. but every time I implement a module, gives me Synthesize-xst failed error. My license is good and everything is fine. I tried everything but does not work. 

0 Kudos
pellion
Newbie
Newbie
14,499 Views
Registered: ‎12-28-2018
 
0 Kudos